#pragma once
#include "cworktableoffset.h"
#include "export_worktable_driver.h"
class WORKTABLE_DRIVER_EXPORT CWorktableLaserOffset :
	public CWorktableOffset
{
public:
	CWorktableLaserOffset(const QString& name,int32_t id);
	~CWorktableLaserOffset(void);

	virtual void writeOffsetList();


	virtual void readOffsetList();


	virtual void writeOffsetToCsv();


	virtual QDomElement WriteConfig(QDomDocument &doc, QDomElement &root) override;


	virtual int ReadConfig(QDomElement &root) override;

};

